Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## context.apps.InOutBoard
Class AgeSensitiveDate

    java.lang.Object
      |
      +--java.util.Calendar
            |
            +--java.util.GregorianCalendar
                  |
                  +--context.apps.InOutBoard.AgeSensitiveDate

public class AgeSensitiveDate
extends java.util.GregorianCalendar

See Also:
  Serialized Form

Fields inherited from class java.util.GregorianCalendar
`AD, BC`

Fields inherited from class java.util.Calendar
`AM, AM_PM, APRIL, areFieldsSet, AUGUST, DATE, DAY_OF_MONTH, DAY_OF_WEEK, DAY_OF_WEEK_IN_MONTH, DAY_OF_YEAR, DECEMBER, DST_OFFSET, ERA, FEBRUARY, FIELD_COUNT, fields, FRIDAY, HOUR, HOUR_OF_DAY, isSet, isTimeSet, JANUARY, JULY, JUNE, MARCH, MAY, MILLISECOND, MINUTE, MONDAY, MONTH, NOVEMBER, OCTOBER, PM, SATURDAY, SECOND, SEPTEMBER, SUNDAY, THURSDAY, time, TUESDAY, UNDECIMBER, WEDNESDAY, WEEK_OF_MONTH, WEEK_OF_YEAR, YEAR, ZONE_OFFSET`

Constructor Summary
`AgeSensitiveDate()`
`AgeSensitiveDate(long d)`
`AgeSensitiveDate(java.lang.String d)`

Method Summary
`java.lang.String` | `getShortDateTime()`

Methods inherited from class java.util.GregorianCalendar
`add, computeFields, computeTime, equals, getActualMaximum, getActualMinimum, getGreatestMinimum, getGregorianChange, getLeastMaximum, getMaximum, getMinimum, hashCode, isLeapYear, roll, roll, setGregorianChange`

Methods inherited from class java.util.Calendar
`after, before, clear, clear, clone, complete, get, getAvailableLocales, getFirstDayOfWeek, getInstance, getInstance, getInstance, getInstance, getMinimalDaysInFirstWeek, getTime, getTimeInMillis, getTimeZone, internalGet, isLenient, isSet, set, set, set, set, setFirstDayOfWeek, setLenient, setMinimalDaysInFirstWeek, setTime, setTimeInMillis, setTimeZone, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AgeSensitiveDate

    public AgeSensitiveDate()

### AgeSensitiveDate

    public AgeSensitiveDate(long d)

### AgeSensitiveDate

    public AgeSensitiveDate(java.lang.String d)

Method Detail

### getShortDateTime

    public java.lang.String getShortDateTime()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD